Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 213372 - www-client/galeon fails to compile with net-libs/xulrunner-1.9
Summary: www-client/galeon fails to compile with net-libs/xulrunner-1.9
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Hanno Böck
URL:
Whiteboard:
Keywords:
: 259653 (view as bug list)
Depends on:
Blocks: xul-1.9
  Show dependency tree
 
Reported: 2008-03-14 11:03 UTC by Nirbheek Chauhan (RETIRED)
Modified: 2009-02-23 16:08 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log for www-client/galeon-2.0.4 (build.log,354.36 KB, text/plain)
2008-03-14 11:04 UTC, Nirbheek Chauhan (RETIRED)
Details
galeon-2.0.7.ebuild.diff (galeon-2.0.7.ebuild.diff,1.94 KB, patch)
2009-01-05 22:27 UTC, Gilles Dartiguelongue
Details | Diff
galeon-2.0.7-r10.ebuild.diff (galeon-2.0.7-r10.ebuild.diff,1.81 KB, patch)
2009-01-05 22:28 UTC, Gilles Dartiguelongue
Details | Diff
Galeon 2.0.7 diff file for xul1.9/ff2 (galeon-2.0.7.ebuild.diff,3.07 KB, text/plain)
2009-02-20 21:59 UTC, Lukas Zavodny
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nirbheek Chauhan (RETIRED) gentoo-dev 2008-03-14 11:03:27 UTC
Compilation error for www-client/galeon-2.0.4 USE=xulrunner :


 i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -I../utils -I../utils -I../embed -I../bookmarks -I../libegg -I.. -fshort-wchar -I/usr/include/xulrunner-1.9/unstable -I/usr/include/nspr -I/usr/include/xulrunner-1.9/unstable/gtkembedmoz -I/usr/include/xulrunner-1.9/unstable -I/usr/include/xulrunner-1.9/unstable/caps -I/usr/include/xulrunner-1.9/unstable/chardet -I/usr/include/xulrunner-1.9/unstable/chrome -I/usr/include/xulrunner-1.9/unstable/content -I/usr/include/xulrunner-1.9/unstable/cookie -I/usr/include/xulrunner-1.9/unstable/docshell -I/usr/include/xulrunner-1.9/unstable/dom -I/usr/include/xulrunner-1.9/unstable/exthandler -I/usr/include/xulrunner-1.9/unstable/find -I/usr/include/xulrunner-1.9/unstable/fastfind -I/usr/include/xulrunner-1.9/unstable/gfx -I/usr/include/xulrunner-1.9/unstable/helperAppDlg -I/usr/include/xulrunner-1.9/unstable/history -I/usr/include/xulrunner-1.9/unstable/htmlparser -I/usr/include/xulrunner-1.9/unstable/java -I/usr/include/xulrunner-1.9/unstable/js -I/usr/include/xulrunner-1.9/unstable/jsconsole -I/usr/include/xulrunner-1.9/unstable/layout -I/usr/include/xulrunner-1.9/unstable/locale -I/usr/include/xulrunner-1.9/unstable/mimetype -I/usr/include/xulrunner-1.9/unstable/mozxfer -I/usr/include/xulrunner-1.9/unstable/necko -I/usr/include/xulrunner-1.9/unstable/necko2 -I/usr/include/xulrunner-1.9/unstable/nkcache -I/usr/include/xulrunner-1.9/unstable/nspr -I/usr/include/xulrunner-1.9/unstable/oji -I/usr/include/xulrunner-1.9/unstable/passwordmgr -I/usr/include/xulrunner-1.9/unstable/pipnss -I/usr/include/xulrunner-1.9/unstable/pipboot -I/usr/include/xulrunner-1.9/unstable/pref -I/usr/include/xulrunner-1.9/unstable/progressDlg -I/usr/include/xulrunner-1.9/unstable/sidebar -I/usr/include/xulrunner-1.9/unstable/shistory -I/usr/include/xulrunner-1.9/unstable/string -I/usr/include/xulrunner-1.9/unstable/uconv -I/usr/include/xulrunner-1.9/unstable/uriloader -I/usr/include/xulrunner-1.9/unstable/unicharutil -I/usr/include/xulrunner-1.9/unstable/wallet -I/usr/include/xulrunner-1.9/unstable/webbrowserpersist -I/usr/include/xulrunner-1.9/unstable/webbrwsr -I/usr/include/xulrunner-1.9/unstable/webshell -I/usr/include/xulrunner-1.9/unstable/widget -I/usr/include/xulrunner-1.9/unstable/windowwatcher -I/usr/include/xulrunner-1.9/unstable/xpcom -I/usr/include/xulrunner-1.9/unstable/xpconnect -DORBIT2=1 -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/libxml2 -I/usr/include/libgnomeui-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-keyring-1 -I/usr/include/libgnome-2.0 -I/usr/include/libbonoboui-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/orbit-2.0 -I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/gail-1.0 -I/usr/include/libglade-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/include/gnome-desktop-2.0 -I/usr/include/startup-notification-1.0 -DLIB_DIR=\"/usr/lib/galeon\" -DSHARE_DIR=\"/usr/share/galeon\" -DGALEON_MOZILLA_HOME=\"/usr/lib/xulrunner-1.9\" -D_GNU_SOURCE=1 -include /usr/include/xulrunner-1.9/unstable/mozilla-config.h -fno-rtti -march=pentium-m -O2 -pipe -fomit-frame-pointer -fshort-wchar -Wall -Wsign-compare -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -MT mozilla-notifiers.lo -MD -MP -MF .deps/mozilla-notifiers.Tpo -c mozilla-notifiers.cpp  -fPIC -DPIC -o .libs/mozilla-notifiers.o
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:175: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp: In function 'void mozilla_notifiers_init(MozillaEmbedShell*)':
mozilla-notifiers.cpp:376: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:376: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:376: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:376: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:376: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp: At global scope:
mozilla-notifiers.cpp:624: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:624: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:624: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:624: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:624: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:624: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:624: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:624: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:624: warning: deprecated conversion from string constant to 'char*'
mozilla-notifiers.cpp:624: warning: deprecated conversion from string constant to 'char*'
make[3]: Leaving directory `/var/tmp/portage/www-client/galeon-2.0.4/work/galeon-2.0.4/mozilla'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/www-client/galeon-2.0.4/work/galeon-2.0.4/mozilla'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/www-client/galeon-2.0.4/work/galeon-2.0.4'
make: *** [all] Error 2
 * 
 * ERROR: www-client/galeon-2.0.4 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2601:  Called die
 * The specific snippet of code:
 *       emake || die "compile failed"
 *  The die message:
 *   compile failed
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/www-client/galeon-2.0.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/www-client/galeon-2.0.4/temp/environment'.
 * 

-----

This is only the last error, the build log is attached below for full details of b0rkage.

There probably will never be a fix for this package, it should just depend on net-libs/xulrunner:1.8 (EAPI=1)
Comment 1 Nirbheek Chauhan (RETIRED) gentoo-dev 2008-03-14 11:04:27 UTC
Created attachment 146108 [details]
build log for www-client/galeon-2.0.4

Full build log...
Comment 2 Pacho Ramos gentoo-dev 2008-03-14 20:56:48 UTC
A version bump to 2.0.5 would let it compile, but seems that transition is not fully done yet:
2.0.5 "1 step forward, 2 steps back"

- Works with Firefox 1.5.x and xulrunner 1.8.x
- Compiles with xulrunner 1.9, but a lot of functionality is disabled due
  to being no longer exposed by xulrunner (or not working)
  - MyPortal
  - User stylesheets
  - Remembering passwords
  - http authentication
- Support for external mailers which don't understand mailto: urls is
  completely removed. Pretty much all modern mailers support them now.

http://sourceforge.net/project/shownotes.php?group_id=6999&release_id=575431
Comment 3 Pacho Ramos gentoo-dev 2008-07-09 09:23:45 UTC
2.0.6 was released recently:
http://sourceforge.net/project/shownotes.php?group_id=6999&release_id=611533
Comment 4 Dustin Polke 2008-10-01 13:52:43 UTC
2.0.7 was released recently:

http://sourceforge.net/project/shownotes.php?release_id=629077&group_id=6999

Changes:
2.0.7 "Surprise!"

- Works with Firefox 2/3 and Xulrunner 1.8/1.9
  - Restored support for http authentication by Mike Hommey <mh@glandium.org>
  - Restored support for remembering passwords.
  - Partially restored support for user stylesheets.
    - Effect is global rather than per page but UI doesn't reflect this.
Comment 5 Hanno Böck gentoo-dev 2008-10-09 01:32:55 UTC
Upstream bug:
http://bugzilla.gnome.org/show_bug.cgi?id=555630
Comment 6 Gilles Dartiguelongue gentoo-dev 2009-01-05 22:25:48 UTC
for what it's worth, I quickly tried to bump it too and it also fails with xulrunner:1.8. Attaching my ebuilds in a minute even if I'm sure any already has them.
Comment 7 Gilles Dartiguelongue gentoo-dev 2009-01-05 22:27:25 UTC
Created attachment 177516 [details, diff]
galeon-2.0.7.ebuild.diff

using xulrunner:1.8
Comment 8 Gilles Dartiguelongue gentoo-dev 2009-01-05 22:28:09 UTC
Created attachment 177517 [details, diff]
galeon-2.0.7-r10.ebuild.diff

for xulrunner:1.9
Comment 9 Lukas Zavodny 2009-02-02 12:27:36 UTC
(In reply to comment #8)
> Created an attachment (id=177517) [edit]
> galeon-2.0.7-r10.ebuild.diff
> 
> for xulrunner:1.9
> 

Hi,

this fails during compilation:

In file included from ContentHandler.cpp:156:
ProgressListener.h:66: warning: 'GProgressListener' declared with greater visibility than the type of its field 'GProgressListener::<anonymous>'
ProgressListener.h:66: warning: 'GProgressListener' declared with greater visibility than its base 'nsSupportsWeakReference'
ContentHandler.cpp:289: error: prototype for 'nsresult GContentHandler::PromptForSaveToFile(nsIHelperAppLauncher*, nsISupports*, const PRUnichar*, const PRUnichar*, nsILocalFile**)' does not match any in class 'GContentHandler'
ContentHandler.h:49: error: candidate is: virtual nsresult GContentHandler::PromptForSaveToFile(nsIHelperAppLauncher*, nsISupports*, const PRUnichar*, const PRUnichar*, PRBool, nsILocalFile**)
make[3]: *** [ContentHandler.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
 i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -I../utils -I../utils -I../embed -I../bookmarks -I../libegg -I.. -DXPCOM_GLUE -fshort-wchar -I/usr/include/xulrunner-1.9/unstable -I/usr/include/nspr -DXPCOM_GLUE_USE_NSPR -I/usr/include/nspr -I/usr/include/xulrunner-1.9/unstable -I/usr/include/xulrunner-1.9/unstable/caps -I/usr/include/xulrunner-1.9/unstable/chardet -I/usr/include/xulrunner-1.9/unstable/chrome -I/usr/include/xulrunner-1.9/unstable/content -I/usr/include/xulrunner-1.9/unstable/cookie -I/usr/include/xulrunner-1.9/unstable/docshell -I/usr/include/xulrunner-1.9/unstable/dom -I/usr/include/xulrunner-1.9/unstable/exthandler -I/usr/include/xulrunner-1.9/unstable/find -I/usr/include/xulrunner-1.9/unstable/fastfind -I/usr/include/xulrunner-1.9/unstable/gfx -I/usr/include/xulrunner-1.9/unstable/helperAppDlg -I/usr/include/xulrunner-1.9/unstable/history -I/usr/include/xulrunner-1.9/unstable/htmlparser -I/usr/include/xulrunner-1.9/unstable/java -I/usr/include/xulrunner-1.9/unstable/js -I/usr/include/xulrunner-1.9/unstable/jsconsole -I/usr/include/xulrunner-1.9/unstable/layout -I/usr/include/xulrunner-1.9/unstable/locale -I/usr/include/xulrunner-1.9/unstable/loginmgr -I/usr/include/xulrunner-1.9/unstable/mimetype -I/usr/include/xulrunner-1.9/unstable/mozxfer -I/usr/include/xulrunner-1.9/unstable/necko -I/usr/include/xulrunner-1.9/unstable/necko2 -I/usr/include/xulrunner-1.9/unstable/nkcache -I/usr/include/xulrunner-1.9/unstable/nspr -I/usr/include/xulrunner-1.9/unstable/oji -I/usr/include/xulrunner-1.9/unstable/passwordmgr -I/usr/include/xulrunner-1.9/unstable/pipnss -I/usr/include/xulrunner-1.9/unstable/pipboot -I/usr/include/xulrunner-1.9/unstable/pref -I/usr/include/xulrunner-1.9/unstable/progressDlg -I/usr/include/xulrunner-1.9/unstable/sidebar -I/usr/include/xulrunner-1.9/unstable/shistory -I/usr/include/xulrunner-1.9/unstable/string -I/usr/include/xulrunner-1.9/unstable/uconv -I/usr/include/xulrunner-1.9/unstable/uriloader -I/usr/include/xulrunner-1.9/unstable/unicharutil -I/usr/include/xulrunner-1.9/unstable/wallet -I/usr/include/xulrunner-1.9/unstable/webbrowserpersist -I/usr/include/xulrunner-1.9/unstable/webbrwsr -I/usr/include/xulrunner-1.9/unstable/webshell -I/usr/include/xulrunner-1.9/unstable/widget -I/usr/include/xulrunner-1.9/unstable/windowwatcher -I/usr/include/xulrunner-1.9/unstable/xpcom -I/usr/include/xulrunner-1.9/unstable/xpconnect -I/usr/include/xulrunner-1.9/unstable/xulapp -DORBIT2=1 -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/libxml2 -I/usr/include/libgnomeui-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-keyring-1 -I/usr/include/libgnome-2.0 -I/usr/include/libbonoboui-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/gail-1.0 -I/usr/include/libglade-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/include/gnome-desktop-2.0 -I/usr/include/startup-notification-1.0 -DLIB_DIR=\"/usr/lib/galeon\" -DSHARE_DIR=\"/usr/share/galeon\" -D_GNU_SOURCE=1 -include mozilla-config.h -fno-rtti -O2 -march=native -fomit-frame-pointer -pipe -fshort-wchar -Wall -Wsign-compare -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -MT CookiePromptService.lo -MD -MP -MF .deps/CookiePromptService.Tpo -c CookiePromptService.cpp  -fPIC -DPIC -o .libs/CookiePromptService.o
make[3]: Leaving directory `/var/tmp/portage/www-client/galeon-2.0.7/work/galeon-2.0.7/mozilla'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/www-client/galeon-2.0.7/work/galeon-2.0.7/mozilla'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/www-client/galeon-2.0.7/work/galeon-2.0.7'
make: *** [all] Error 2
 * 
 * ERROR: www-client/galeon-2.0.7 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line  631:  Called gnome2_src_compile
 *             environment, line  567:  Called die
 * The specific snippet of code:
 *       emake || die "compile failure"
 *  The die message:
 *   compile failure


Comment 10 Gilles Dartiguelongue gentoo-dev 2009-02-20 00:25:27 UTC
*** Bug 259653 has been marked as a duplicate of this bug. ***
Comment 11 Lukas Zavodny 2009-02-20 21:59:00 UTC
Created attachment 182694 [details]
Galeon 2.0.7 diff file for xul1.9/ff2

(In reply to comment #10)
> *** Bug 259653 has been marked as a duplicate of this bug. ***
> 

Ok so here is my diff file.
Comment 12 Hanno Böck gentoo-dev 2009-02-22 23:12:46 UTC
lukas, thanks for the hint with the fedora-patches. Though what's a bit weird that it doesn't work for me if I apply the moz191 patch, but if I don't, it compiles.

I've now added a 2.0.7 ebuild with all the other patches from fedora (packed in a tarball, they're too big for the portage-tree) without support for firefox 2 (it's unsupported upstream anyway).
Comment 13 Lukas Zavodny 2009-02-23 16:08:28 UTC
(In reply to comment #12)
> lukas, thanks for the hint with the fedora-patches. Though what's a bit weird
> that it doesn't work for me if I apply the moz191 patch, but if I don't, it
> compiles.
> 
> I've now added a 2.0.7 ebuild with all the other patches from fedora (packed in
> a tarball, they're too big for the portage-tree) without support for firefox 2
> (it's unsupported upstream anyway).
> 

Hi,
I'm glad to see Galeon 2.0.7 in portage already. Thank you. About xul191 patch...I had the check for xulrunner version and then patch is applied or not.